Skip to main content
DELETE
/
v1alpha1
/
inference
/
capacityclaims
/
{id}
Delete a capacity claim
curl --request DELETE \
  --url https://api.example.com/v1alpha1/inference/capacityclaims/{id}
{
  "capacityClaim": {
    "spec": {
      "id": "<string>",
      "name": "<string>",
      "resources": {
        "instanceId": "<string>",
        "instanceCount": 123,
        "capacityType": 123,
        "zones": [
          "<string>"
        ]
      },
      "organizationId": "<string>"
    },
    "status": {
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "status": 123,
      "conditions": [
        {
          "type": "<string>",
          "status": 123,
          "lastUpdateTime": "2023-11-07T05:31:56Z",
          "reason": "<string>",
          "message": "<string>",
          "zone": "<string>"
        }
      ],
      "allocatedInstances": 123,
      "pendingInstances": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The unique identifier of the CapacityClaim to delete, UUID format

Response

OK

Response for DeleteCapacityClaim

capacityClaim
object

The deleted CapacityClaim

Last modified on May 6, 2026